minor formatting in d/copyright
[debian/bti.git] / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41         missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45         $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47  configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52         "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 bti_LDADD = $(LDADD)
57 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58 am__vpath_adj = case $$p in \
59     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60     *) f=$$p;; \
61   esac;
62 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63 am__install_max = 40
64 am__nobase_strip_setup = \
65   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66 am__nobase_strip = \
67   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68 am__nobase_list = $(am__nobase_strip_setup); \
69   for p in $$list; do echo "$$p $$p"; done | \
70   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72     if (++n[$$2] == $(am__install_max)) \
73       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74     END { for (dir in files) print dir, files[dir] }'
75 am__base_list = \
76   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
78 SCRIPTS = $(bin_SCRIPTS)
79 DEFAULT_INCLUDES = -I.@am__isrc@
80 depcomp = $(SHELL) $(top_srcdir)/depcomp
81 am__depfiles_maybe = depfiles
82 am__mv = mv -f
83 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
84         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
85 AM_V_CC = $(am__v_CC_$(V))
86 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
87 am__v_CC_0 = @echo "  CC    " $@;
88 AM_V_at = $(am__v_at_$(V))
89 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
90 am__v_at_0 = @
91 CCLD = $(CC)
92 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
93 AM_V_CCLD = $(am__v_CCLD_$(V))
94 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
95 am__v_CCLD_0 = @echo "  CCLD  " $@;
96 AM_V_GEN = $(am__v_GEN_$(V))
97 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
98 am__v_GEN_0 = @echo "  GEN   " $@;
99 SOURCES = $(bti_SOURCES)
100 DIST_SOURCES = $(bti_SOURCES)
101 man1dir = $(mandir)/man1
102 NROFF = nroff
103 MANS = $(dist_man_MANS)
104 ETAGS = etags
105 CTAGS = ctags
106 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
107 distdir = $(PACKAGE)-$(VERSION)
108 top_distdir = $(distdir)
109 am__remove_distdir = \
110   { test ! -d "$(distdir)" \
111     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
112          && rm -fr "$(distdir)"; }; }
113 DIST_ARCHIVES = $(distdir).tar.gz
114 GZIP_ENV = --best
115 distuninstallcheck_listfiles = find . -type f -print
116 distcleancheck_listfiles = find . -type f -print
117 ACLOCAL = @ACLOCAL@
118 AMTAR = @AMTAR@
119 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120 AUTOCONF = @AUTOCONF@
121 AUTOHEADER = @AUTOHEADER@
122 AUTOMAKE = @AUTOMAKE@
123 AWK = @AWK@
124 CC = @CC@
125 CCDEPMODE = @CCDEPMODE@
126 CFLAGS = @CFLAGS@
127 CPPFLAGS = @CPPFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DEFS = @DEFS@
130 DEPDIR = @DEPDIR@
131 ECHO_C = @ECHO_C@
132 ECHO_N = @ECHO_N@
133 ECHO_T = @ECHO_T@
134 EXEEXT = @EXEEXT@
135 INSTALL = @INSTALL@
136 INSTALL_DATA = @INSTALL_DATA@
137 INSTALL_PROGRAM = @INSTALL_PROGRAM@
138 INSTALL_SCRIPT = @INSTALL_SCRIPT@
139 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
140 LDFLAGS = @LDFLAGS@
141 LIBCURL = @LIBCURL@
142 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
143 LIBOBJS = @LIBOBJS@
144 LIBS = @LIBS@
145 LTLIBOBJS = @LTLIBOBJS@
146 MAKEINFO = @MAKEINFO@
147 MKDIR_P = @MKDIR_P@
148 OBJEXT = @OBJEXT@
149 PACKAGE = @PACKAGE@
150 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
151 PACKAGE_NAME = @PACKAGE_NAME@
152 PACKAGE_STRING = @PACKAGE_STRING@
153 PACKAGE_TARNAME = @PACKAGE_TARNAME@
154 PACKAGE_URL = @PACKAGE_URL@
155 PACKAGE_VERSION = @PACKAGE_VERSION@
156 PATH_SEPARATOR = @PATH_SEPARATOR@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 STRIP = @STRIP@
160 VERSION = @VERSION@
161 XML2_CONFIG = @XML2_CONFIG@
162 XML_CPPFLAGS = @XML_CPPFLAGS@
163 XML_LIBS = @XML_LIBS@
164 XSLTPROC = @XSLTPROC@
165 _libcurl_config = @_libcurl_config@
166 abs_builddir = @abs_builddir@
167 abs_srcdir = @abs_srcdir@
168 abs_top_builddir = @abs_top_builddir@
169 abs_top_srcdir = @abs_top_srcdir@
170 ac_ct_CC = @ac_ct_CC@
171 am__include = @am__include@
172 am__leading_dot = @am__leading_dot@
173 am__quote = @am__quote@
174 am__tar = @am__tar@
175 am__untar = @am__untar@
176 bindir = @bindir@
177 build_alias = @build_alias@
178 builddir = @builddir@
179 datadir = @datadir@
180 datarootdir = @datarootdir@
181 docdir = @docdir@
182 dvidir = @dvidir@
183 exec_prefix = @exec_prefix@
184 host_alias = @host_alias@
185 htmldir = @htmldir@
186 includedir = @includedir@
187 infodir = @infodir@
188 install_sh = @install_sh@
189 libdir = @libdir@
190 libexecdir = @libexecdir@
191 localedir = @localedir@
192 localstatedir = @localstatedir@
193 mandir = @mandir@
194 mkdir_p = @mkdir_p@
195 oldincludedir = @oldincludedir@
196 pdfdir = @pdfdir@
197 prefix = @prefix@
198 program_transform_name = @program_transform_name@
199 psdir = @psdir@
200 sbindir = @sbindir@
201 sharedstatedir = @sharedstatedir@
202 srcdir = @srcdir@
203 sysconfdir = @sysconfdir@
204 target_alias = @target_alias@
205 top_build_prefix = @top_build_prefix@
206 top_builddir = @top_builddir@
207 top_srcdir = @top_srcdir@
208 bin_SCRIPTS = \
209         bti-shrink-urls
210
211 bti_SOURCES = \
212         bti.c
213
214 dist_man_MANS = \
215         bti.1 \
216         bti-shrink-urls.1
217
218 EXTRA_DIST = \
219         bti.xml \
220         bti-shrink-urls.xml \
221         bti.example \
222         bti-bashcompletion \
223         RELEASE-NOTES \
224         bti-shrink-urls
225
226 MAINTAINERCLEANFILES = \
227         $(dist_man_MANS)
228
229 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
230 AUTOMAKE_OPTIONS = foreign
231 all: all-am
232
233 .SUFFIXES:
234 .SUFFIXES: .c .o .obj
235 am--refresh:
236         @:
237 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
238         @for dep in $?; do \
239           case '$(am__configure_deps)' in \
240             *$$dep*) \
241               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
242               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
243                 && exit 0; \
244               exit 1;; \
245           esac; \
246         done; \
247         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
248         $(am__cd) $(top_srcdir) && \
249           $(AUTOMAKE) --foreign Makefile
250 .PRECIOUS: Makefile
251 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
252         @case '$?' in \
253           *config.status*) \
254             echo ' $(SHELL) ./config.status'; \
255             $(SHELL) ./config.status;; \
256           *) \
257             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
258             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
259         esac;
260
261 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
262         $(SHELL) ./config.status --recheck
263
264 $(top_srcdir)/configure:  $(am__configure_deps)
265         $(am__cd) $(srcdir) && $(AUTOCONF)
266 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
267         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
268 $(am__aclocal_m4_deps):
269 install-binPROGRAMS: $(bin_PROGRAMS)
270         @$(NORMAL_INSTALL)
271         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
272         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
273         for p in $$list; do echo "$$p $$p"; done | \
274         sed 's/$(EXEEXT)$$//' | \
275         while read p p1; do if test -f $$p; \
276           then echo "$$p"; echo "$$p"; else :; fi; \
277         done | \
278         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
279             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
280         sed 'N;N;N;s,\n, ,g' | \
281         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
282           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
283             if ($$2 == $$4) files[d] = files[d] " " $$1; \
284             else { print "f", $$3 "/" $$4, $$1; } } \
285           END { for (d in files) print "f", d, files[d] }' | \
286         while read type dir files; do \
287             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
288             test -z "$$files" || { \
289               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
290               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
291             } \
292         ; done
293
294 uninstall-binPROGRAMS:
295         @$(NORMAL_UNINSTALL)
296         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
297         files=`for p in $$list; do echo "$$p"; done | \
298           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
299               -e 's/$$/$(EXEEXT)/' `; \
300         test -n "$$list" || exit 0; \
301         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
302         cd "$(DESTDIR)$(bindir)" && rm -f $$files
303
304 clean-binPROGRAMS:
305         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
306 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES) 
307         @rm -f bti$(EXEEXT)
308         $(AM_V_CCLD)$(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
309 install-binSCRIPTS: $(bin_SCRIPTS)
310         @$(NORMAL_INSTALL)
311         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
312         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
313         for p in $$list; do \
314           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
315           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
316         done | \
317         sed -e 'p;s,.*/,,;n' \
318             -e 'h;s|.*|.|' \
319             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
320         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
321           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
322             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
323               if (++n[d] == $(am__install_max)) { \
324                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
325             else { print "f", d "/" $$4, $$1 } } \
326           END { for (d in files) print "f", d, files[d] }' | \
327         while read type dir files; do \
328              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
329              test -z "$$files" || { \
330                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
331                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
332              } \
333         ; done
334
335 uninstall-binSCRIPTS:
336         @$(NORMAL_UNINSTALL)
337         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
338         files=`for p in $$list; do echo "$$p"; done | \
339                sed -e 's,.*/,,;$(transform)'`; \
340         test -n "$$list" || exit 0; \
341         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
342         cd "$(DESTDIR)$(bindir)" && rm -f $$files
343
344 mostlyclean-compile:
345         -rm -f *.$(OBJEXT)
346
347 distclean-compile:
348         -rm -f *.tab.c
349
350 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@
351
352 .c.o:
353 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
354 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
355 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
356 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
357 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
358 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
359
360 .c.obj:
361 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
362 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
363 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
364 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
365 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
366 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
367 install-man1: $(dist_man_MANS)
368         @$(NORMAL_INSTALL)
369         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
370         @list=''; test -n "$(man1dir)" || exit 0; \
371         { for i in $$list; do echo "$$i"; done; \
372         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
373           sed -n '/\.1[a-z]*$$/p'; \
374         } | while read p; do \
375           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
376           echo "$$d$$p"; echo "$$p"; \
377         done | \
378         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
379               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
380         sed 'N;N;s,\n, ,g' | { \
381         list=; while read file base inst; do \
382           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
383             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
384             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
385           fi; \
386         done; \
387         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
388         while read files; do \
389           test -z "$$files" || { \
390             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
391             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
392         done; }
393
394 uninstall-man1:
395         @$(NORMAL_UNINSTALL)
396         @list=''; test -n "$(man1dir)" || exit 0; \
397         files=`{ for i in $$list; do echo "$$i"; done; \
398         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
399           sed -n '/\.1[a-z]*$$/p'; \
400         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
401               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
402         test -z "$$files" || { \
403           echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
404           cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
405
406 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
407         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
408         unique=`for i in $$list; do \
409             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
410           done | \
411           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
412               END { if (nonempty) { for (i in files) print i; }; }'`; \
413         mkid -fID $$unique
414 tags: TAGS
415
416 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
417                 $(TAGS_FILES) $(LISP)
418         set x; \
419         here=`pwd`; \
420         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
421         unique=`for i in $$list; do \
422             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
423           done | \
424           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
425               END { if (nonempty) { for (i in files) print i; }; }'`; \
426         shift; \
427         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
428           test -n "$$unique" || unique=$$empty_fix; \
429           if test $$# -gt 0; then \
430             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
431               "$$@" $$unique; \
432           else \
433             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
434               $$unique; \
435           fi; \
436         fi
437 ctags: CTAGS
438 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
439                 $(TAGS_FILES) $(LISP)
440         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
441         unique=`for i in $$list; do \
442             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
443           done | \
444           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
445               END { if (nonempty) { for (i in files) print i; }; }'`; \
446         test -z "$(CTAGS_ARGS)$$unique" \
447           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
448              $$unique
449
450 GTAGS:
451         here=`$(am__cd) $(top_builddir) && pwd` \
452           && $(am__cd) $(top_srcdir) \
453           && gtags -i $(GTAGS_ARGS) "$$here"
454
455 distclean-tags:
456         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
457
458 distdir: $(DISTFILES)
459         @list='$(MANS)'; if test -n "$$list"; then \
460           list=`for p in $$list; do \
461             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
462             if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
463           if test -n "$$list" && \
464             grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
465             echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
466             grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
467             echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
468             echo "       typically \`make maintainer-clean' will remove them" >&2; \
469             exit 1; \
470           else :; fi; \
471         else :; fi
472         $(am__remove_distdir)
473         test -d "$(distdir)" || mkdir "$(distdir)"
474         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
475         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
476         list='$(DISTFILES)'; \
477           dist_files=`for file in $$list; do echo $$file; done | \
478           sed -e "s|^$$srcdirstrip/||;t" \
479               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
480         case $$dist_files in \
481           */*) $(MKDIR_P) `echo "$$dist_files" | \
482                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
483                            sort -u` ;; \
484         esac; \
485         for file in $$dist_files; do \
486           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
487           if test -d $$d/$$file; then \
488             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
489             if test -d "$(distdir)/$$file"; then \
490               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
491             fi; \
492             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
493               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
494               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
495             fi; \
496             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
497           else \
498             test -f "$(distdir)/$$file" \
499             || cp -p $$d/$$file "$(distdir)/$$file" \
500             || exit 1; \
501           fi; \
502         done
503         -test -n "$(am__skip_mode_fix)" \
504         || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
505           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
506           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
507           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
508         || chmod -R a+r "$(distdir)"
509 dist-gzip: distdir
510         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
511         $(am__remove_distdir)
512
513 dist-bzip2: distdir
514         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
515         $(am__remove_distdir)
516
517 dist-lzma: distdir
518         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
519         $(am__remove_distdir)
520
521 dist-xz: distdir
522         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
523         $(am__remove_distdir)
524
525 dist-tarZ: distdir
526         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
527         $(am__remove_distdir)
528
529 dist-shar: distdir
530         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
531         $(am__remove_distdir)
532
533 dist-zip: distdir
534         -rm -f $(distdir).zip
535         zip -rq $(distdir).zip $(distdir)
536         $(am__remove_distdir)
537
538 dist dist-all: distdir
539         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
540         $(am__remove_distdir)
541
542 # This target untars the dist file and tries a VPATH configuration.  Then
543 # it guarantees that the distribution is self-contained by making another
544 # tarfile.
545 distcheck: dist
546         case '$(DIST_ARCHIVES)' in \
547         *.tar.gz*) \
548           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
549         *.tar.bz2*) \
550           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
551         *.tar.lzma*) \
552           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
553         *.tar.xz*) \
554           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
555         *.tar.Z*) \
556           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
557         *.shar.gz*) \
558           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
559         *.zip*) \
560           unzip $(distdir).zip ;;\
561         esac
562         chmod -R a-w $(distdir); chmod a+w $(distdir)
563         mkdir $(distdir)/_build
564         mkdir $(distdir)/_inst
565         chmod a-w $(distdir)
566         test -d $(distdir)/_build || exit 0; \
567         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
568           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
569           && am__cwd=`pwd` \
570           && $(am__cd) $(distdir)/_build \
571           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
572             $(DISTCHECK_CONFIGURE_FLAGS) \
573           && $(MAKE) $(AM_MAKEFLAGS) \
574           && $(MAKE) $(AM_MAKEFLAGS) dvi \
575           && $(MAKE) $(AM_MAKEFLAGS) check \
576           && $(MAKE) $(AM_MAKEFLAGS) install \
577           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
578           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
579           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
580                 distuninstallcheck \
581           && chmod -R a-w "$$dc_install_base" \
582           && ({ \
583                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
584                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
585                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
586                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
587                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
588               } || { rm -rf "$$dc_destdir"; exit 1; }) \
589           && rm -rf "$$dc_destdir" \
590           && $(MAKE) $(AM_MAKEFLAGS) dist \
591           && rm -rf $(DIST_ARCHIVES) \
592           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
593           && cd "$$am__cwd" \
594           || exit 1
595         $(am__remove_distdir)
596         @(echo "$(distdir) archives ready for distribution: "; \
597           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
598           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
599 distuninstallcheck:
600         @$(am__cd) '$(distuninstallcheck_dir)' \
601         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
602            || { echo "ERROR: files left after uninstall:" ; \
603                 if test -n "$(DESTDIR)"; then \
604                   echo "  (check DESTDIR support)"; \
605                 fi ; \
606                 $(distuninstallcheck_listfiles) ; \
607                 exit 1; } >&2
608 distcleancheck: distclean
609         @if test '$(srcdir)' = . ; then \
610           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
611           exit 1 ; \
612         fi
613         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
614           || { echo "ERROR: files left in build directory after distclean:" ; \
615                $(distcleancheck_listfiles) ; \
616                exit 1; } >&2
617 check-am: all-am
618 check: check-am
619 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
620 installdirs:
621         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
622           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
623         done
624 install: install-am
625 install-exec: install-exec-am
626 install-data: install-data-am
627 uninstall: uninstall-am
628
629 install-am: all-am
630         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
631
632 installcheck: installcheck-am
633 install-strip:
634         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
635           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
636           `test -z '$(STRIP)' || \
637             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
638 mostlyclean-generic:
639
640 clean-generic:
641
642 distclean-generic:
643         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
644         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
645
646 maintainer-clean-generic:
647         @echo "This command is intended for maintainers to use"
648         @echo "it deletes files that may require special tools to rebuild."
649         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
650 clean: clean-am
651
652 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
653
654 distclean: distclean-am
655         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
656         -rm -rf ./$(DEPDIR)
657         -rm -f Makefile
658 distclean-am: clean-am distclean-compile distclean-generic \
659         distclean-local distclean-tags
660
661 dvi: dvi-am
662
663 dvi-am:
664
665 html: html-am
666
667 html-am:
668
669 info: info-am
670
671 info-am:
672
673 install-data-am: install-man
674
675 install-dvi: install-dvi-am
676
677 install-dvi-am:
678
679 install-exec-am: install-binPROGRAMS install-binSCRIPTS
680
681 install-html: install-html-am
682
683 install-html-am:
684
685 install-info: install-info-am
686
687 install-info-am:
688
689 install-man: install-man1
690
691 install-pdf: install-pdf-am
692
693 install-pdf-am:
694
695 install-ps: install-ps-am
696
697 install-ps-am:
698
699 installcheck-am:
700
701 maintainer-clean: maintainer-clean-am
702         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
703         -rm -rf $(top_srcdir)/autom4te.cache
704         -rm -rf ./$(DEPDIR)
705         -rm -f Makefile
706 maintainer-clean-am: distclean-am maintainer-clean-generic
707
708 mostlyclean: mostlyclean-am
709
710 mostlyclean-am: mostlyclean-compile mostlyclean-generic
711
712 pdf: pdf-am
713
714 pdf-am:
715
716 ps: ps-am
717
718 ps-am:
719
720 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
721
722 uninstall-man: uninstall-man1
723
724 .MAKE: install-am install-strip
725
726 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
727         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
728         dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
729         distcheck distclean distclean-compile distclean-generic \
730         distclean-local distclean-tags distcleancheck distdir \
731         distuninstallcheck dvi dvi-am html html-am info info-am \
732         install install-am install-binPROGRAMS install-binSCRIPTS \
733         install-data install-data-am install-dvi install-dvi-am \
734         install-exec install-exec-am install-html install-html-am \
735         install-info install-info-am install-man install-man1 \
736         install-pdf install-pdf-am install-ps install-ps-am \
737         install-strip installcheck installcheck-am installdirs \
738         maintainer-clean maintainer-clean-generic mostlyclean \
739         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
740         tags uninstall uninstall-am uninstall-binPROGRAMS \
741         uninstall-binSCRIPTS uninstall-man uninstall-man1
742
743
744 %.1: %.xml
745         $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
746
747 git-clean:
748         rm -f Makefile.in
749
750 distclean-local:
751         rm -rf autom4te.cache
752
753 changelog:
754         @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
755         @ mv ChangeLog ChangeLog.tmp
756         @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
757         @ echo "============================================" >> ChangeLog
758         @ echo >> ChangeLog
759         @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog  >> ChangeLog
760         @ echo >> ChangeLog
761         @ cat ChangeLog
762         @ cat ChangeLog.tmp >> ChangeLog
763         @ rm ChangeLog.tmp
764
765 git-release:
766         head -1 ChangeLog | grep -q "to v$(VERSION)"
767         head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
768         git commit -a -m "release $(VERSION)"
769         cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
770         git gc
771         git prune
772
773 # Tell versions [3.59,3.63) of GNU make to not export all variables.
774 # Otherwise a system limit (for SysV at least) may be exceeded.
775 .NOEXPORT: